Update rApp generator to generate rApp from different folders
csar-generator renamed to sample-rapp-generator
generator script modified to support the folder name as an argument.
Issue-ID: NONRTRIC-964
Signed-off-by: aravind.est <aravindhan.a@est.tech>
Change-Id: I86adc2746da63a1252ca64893aca31b7396155af
diff --git a/sample-rapp-generator/generate.sh b/sample-rapp-generator/generate.sh
new file mode 100755
index 0000000..a4eeba4
--- /dev/null
+++ b/sample-rapp-generator/generate.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# ============LICENSE_START===============================================
+# Copyright (C) 2023 Nordix Foundation. All rights reserved.
+# Copyright (C) 2024 OpenInfra Foundation Europe. All rights reserved.
+# ========================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=================================================
+#
+
+if [[ $# -ne 1 ]]; then
+ echo "USAGE: $0 <rApp-resource-folder-name>"
+ exit 1
+fi
+
+DIRECTORY=${1%/}
+PACKAGENAME="$DIRECTORY.csar"
+
+if [ -d "$DIRECTORY" ]; then
+ rm $PACKAGENAME 2> /dev/null
+ pushd $DIRECTORY
+ zip -r ../$PACKAGENAME *
+ popd
+ echo -e "rApp package $PACKAGENAME generated."
+else
+ echo "Directory $DIRECTORY doesn't exists."
+fi